> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill

> Retrieve the metadata for a single skill in the registry.


<Info>
  For AI agents, use `https://docs.tavus.io/openapi.yaml` for the full HTTP API contract.
</Info>


## OpenAPI

````yaml get /v2/skills/{skill_id}
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Faces
  - name: Voices
  - name: Conversations
  - name: Deployments
  - name: PALs
  - name: Tools
  - name: PAL Tools
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
paths:
  /v2/skills/{skill_id}:
    parameters:
      - name: skill_id
        in: path
        required: true
        description: The unique identifier of the skill.
        schema:
          type: string
          example: internet_search
    get:
      tags:
        - Skills
      summary: Get Skill
      description: |
        Retrieve the metadata for a single skill in the registry.
      operationId: getSkill
      responses:
        '200':
          description: Successfully retrieved the skill
          content:
            application/json:
              schema:
                type: object
                properties:
                  skill_id:
                    type: string
                    example: presentation
                  display_name:
                    type: string
                    example: Presentation
                  description:
                    type: string
                    example: >-
                      Let the PAL walk participants through a slide deck made
                      from uploaded documents.
        '401':
          description: UNAUTHORIZED
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid access token
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unknown skill 'my_skill'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````